petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMMoabGetLocalVertices

Get the entities having DOFs on this DMMoab

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabGetLocalVertices(DM dm, const moab::Range **owned, const moab::Range **ghost)

Collective

### Input Parameter

dm -The DMMoab object being set

### Output Parameters

| owned | - The owned vertex entities in this DMMoab
| ghost | - The ghosted entities (non-owned) stored locally in this partition

### Level

beginner

### Location

src/dm/impls/moab/dmmoab.cxx

### Examples

src/ts/examples/tutorials/ex35.cxx.html
Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages